Bug 864738 - AttributeError: 'NoneType' object has no attribute 'get_child'
AttributeError: 'NoneType' object has no attribute 'get_child'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:187f60900188ac159b263625d34...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 22:20 EDT by Reartes Guillermo
Modified: 2014-02-05 07:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:31:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (296.05 KB, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: storage.log (128.46 KB, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (13.28 KB, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: syslog (73.50 KB, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details
File: program.log (41.83 KB, text/plain)
2012-10-09 22:20 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-09 22:20:11 EDT
Description of problem:
delete the last partition in 'other', at least i think so.

Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 811, in _update_btrfs_selectors
:    page = self._accordion._find_by_title(new_install_name).get_child()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1049, in _save_right_side
:    self._update_btrfs_selectors()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1636, in on_selector_clicked
:    self._save_right_side(self._current_selector)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1540, in _show_first_mountpoint
:    self.on_selector_clicked(page._members[0])
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1612, in on_remove_clicked
:    self._show_first_mountpoint()
:AttributeError: 'NoneType' object has no attribute 'get_child'
Comment 1 Reartes Guillermo 2012-10-09 22:20:21 EDT
Created attachment 624432 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-09 22:20:23 EDT
Created attachment 624433 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-09 22:20:26 EDT
Created attachment 624434 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-09 22:20:28 EDT
Created attachment 624435 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-09 22:20:33 EDT
Created attachment 624436 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-09 22:20:35 EDT
Created attachment 624437 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-09 22:20:37 EDT
Created attachment 624439 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-09 22:20:40 EDT
Created attachment 624440 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-09 22:20:44 EDT
Created attachment 624441 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-09 22:20:46 EDT
Created attachment 624442 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-09 22:20:48 EDT
Created attachment 624443 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-09 22:20:50 EDT
Created attachment 624444 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-09 22:20:53 EDT
Created attachment 624445 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-09 22:20:55 EDT
Created attachment 624446 [details]
File: program.log
Comment 15 Fedora End Of Life 2013-12-21 04:05:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 07:31:47 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.